define({"0":{i:0.00324964125815517,u:"../Content/Part_Overview.htm",a:"Overview of Filter SDK This section provides an overview of the Micro Focus KeyView Filter SDK and describes how to use the  Java  implementation of the API.",t:"Overview of Filter SDK"},"1":{i:0.00324964125815517,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",a:"Introducing Filter SDK This section describes the Filter SDK package. ",t:"Introducing Filter SDK"},"2":{i:0.00324964125815517,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",a:"Micro Focus KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 300 document types. It supports both file-based and ...",t:"Overview"},"3":{i:0.00324964125815517,u:"../Content/filter_shared/filtersdk_intro/Features.htm",a:"Document readers are threadsafe. The benefit of a threadsafe technology is that you can successfully extract text from hundreds of documents simultaneously. Documents are not queued for sequential filtering, but are actually filtered at the same time. Filter supports popular word processing, ...",t:"Features"},"4":{i:0.00324964125815517,u:"../Content/Shared/_KV_Platform.htm",a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software.",t:"Platforms, Compilers, and Dependencies"},"5":{i:0.00324964125815517,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",a:"CentOS 7 FreeBSD 8.1 x86 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit Mac OS X Mountain Lion 10.8 or higher on 32- and 64-bit Apple-Intel architecture Microsoft Windows Vista Business Edition x86 and x64. Other editions of Vista have not been tested, but are likely ...",t:"Supported Platforms"},"6":{i:0.00324964125815517,u:"../Content/Shared/_KV_Platform_Compilers.htm",a:"Supported Compilers Supported Compilers for Java Components Component Compiler Java components Java 1.5",t:"Supported Compilers"},"7":{i:0.00324964125815517,u:"../Content/Shared/_KV_Platform_Dependencies.htm",a:"Some KeyView components require  specific third-party software: Java Runtime Environment (JRE) or Java Software Developer Kit (JDK) version 1.5 is required for Java API and graphics conversion in Export SDK. Outlook 2002 or later is required to process Microsoft Outlook Personal Folders (PST) files ...",t:"Software Dependencies"},"8":{i:0.00324964125815517,u:"../Content/Shared/_KV_install_Windows.htm",a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ...",t:"Windows Installation"},"9":{i:0.00324964125815517,u:"../Content/Shared/_KV_install_UNIX.htm",a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ...",t:"UNIX Installation"},"10":{i:0.00324964125815517,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",a:"Package Contents The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files  that define the functions and structures used by the application to establish an interface with Filter:",t:"Package Contents"},"11":{i:0.0807953977434018,u:"../Content/Shared/_KV_License_Update.htm",a:"During installation, the installation program validates the organization name and license key that you enter, and generates the  install/OS/bin/kv.lic file, where  install is the directory in which you installed KeyView, and OS is the operating system. This file is opened and validated when the ...",t:"License Information"},"12":{i:0.00324964125815517,u:"../Content/filter_shared/filtersdk_intro/Directory_Structure.htm",a:"The following table describes the directories created during the Filter SDK installation. The variable  install is the path name of the Filter installation  directory (for example,  /usr/autonomy/KeyviewFilterSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewFilterSDK on Windows). The variable  OS is ...",t:"Directory Structure"},"13":{i:0.00324964125815517,u:"../Content/Chapter_GettingStarted.htm",a:"Getting Started This section provides an overview of Filter SDK, and describes how to use the  Java  implementation of the API.",t:"Getting Started"},"14":{i:0.00601185322034988,u:"../Content/Java/gettingstarted/Architectural_Overview.htm",a:"Architectural Overview The general architecture of the KeyView Filter technology is the same across all supported platforms and is illustrated in the following diagram. Each component is described in the following table.",t:"Architectural Overview"},"15":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Enhance_Performance.htm",a:"Enhance Performance KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve system performance according to your needs.",t:"Enhance Performance"},"16":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/File_Caching.htm",a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ...",t:"File Caching"},"17":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Filtering.htm",a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ...",t:"Filtering"},"18":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Sub_File_Extraction.htm",a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. Archive files (such as ZIP), mail messages with attachments (such as  Microsoft Outlook Express), mail stores ...",t:"Subfile Extraction"},"19":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Use_Java_Implementation.htm",a:"The Java version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the package com.verity.api.filter contained in the file  KeyView.jar. The JAR file is in the ...",t:"Use the Java Implementation of the API"},"20":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Input_Output_Operations.htm",a:"In the Filter Java API , input and output can be either a physical file accessed through a file path, or a Java stream. Depending on the method signature you use, you can create the following filtering processes: filter an input file to output file filter an input file to an output stream filter an ...",t:"Input/Output Operations"},"21":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Filter_in_File_or_Stream.htm",a:"To filter files using the methods in the Filter class Instantiate a Filter object using either the default constructor or the constructor that sets the output character set and filter flags: Use the default constructor Filter(). For example: m_objFilter = new Filter(); Use the constructor ...",t:"Filter in File or Stream Mode"},"22":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Multi_Threaded_Filtering.htm",a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ...",t:"Multithreaded Filtering"},"23":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Before_Running_Your_Application.htm",a:"Before running your application you must set the library path using one of the following methods: On Windows, add the location of KeyViewFilter.dll to the PATH environment variable. On Solaris, Linux, and HP-UX IA-64, add the location of libKeyViewFilter.so to the LD_LIBRARY_PATH environment ...",t:"Before Running Your Application"},"24":{i:0.00739295920144724,u:"../Content/Java/gettingstarted/The_Filter_Process_Model.htm",a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter  to run in the ...",t:"The Filter Process Model"},"25":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Persist_the_Child_Process.htm",a:"By default, in out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. When the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive ...",t:"Persist the Child Process"},"26":{i:0.00502131417605889,u:"../Content/Java/gettingstarted/Run_Filter_In_Process.htm",a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, then Filter is run out of process. If the type of process is specified in the formats.ini and in ...",t:"Run Filter In Process"},"27":{i:0.00601185322034988,u:"../Content/Java/gettingstarted/Run_File_Extraction_Func.htm",a:"Run File  Extraction Functions Out of  Process The out-of-process setting specified when you create the Filter object or in the formats.ini is automatically propagated to the File Extraction API. When you extract subfiles from container files and pass the files for filtering out of process, Filter ...",t:"Run File Extraction Functions Out of Process"},"28":{i:0.0216629870067182,u:"../Content/Java/gettingstarted/Out_of_Process_Logging.htm",a:"Logging is available for out-of-process filtering. The kvoop server can now create a log file that captures information on the files being processed, storing one entry per process. The generated log file is called  xxxx_kvoop.log, where  xxxx is a unique number identifying the process.  In the rare ...",t:"Out-of-Process Logging"},"29":{i:0.00324964125815517,u:"../Content/Java/gettingstarted/Run_File_Detection_In_or.htm",a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, Filter runs in out-of-process mode. If the type of process is specified in the ...",t:"Run File Detection In or Out of Process"},"30":{i:0.00324964125815517,u:"../Content/Part_UseSDK.htm",a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs.",t:"Use Filter SDK"},"31":{i:0.00797993383585235,u:"../Content/kv_xtract_api_java/_KV_xtract_java_api.htm",a:"Use the File Extraction API This section describes how to extract subfiles from a container file using the File Extraction API. ",t:"Use the File Extraction API"},"32":{i:0.00324964125815517,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",a:"To  filter  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ...",t:"Introduction"},"33":{i:0.0308696598809997,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Sub_Files.htm",a:"To  filter  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  filtering . Once a subfile is extracted, you can ...",t:"Extract Subfiles"},"34":{i:0.00324964125815517,u:"../Content/_KV_xtract_sanitize_paths.htm",a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ...",t:"Sanitize Absolute Paths"},"35":{i:0.00324964125815517,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",a:"You can use the File Extraction API  to extract images within the file by specifying the following in the formats.ini file: [Options]\nExtractImages=TRUE If you set this option, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where ...",t:"Extract Images"},"36":{i:0.00386078111403462,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Recreate_a_File_Hierarchy.htm",a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ...",t:"Recreate a File Hierarchy"},"37":{i:0.129585734607401,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Mail_Metadata.htm",a:"You can extract metadata such as subject, sender, and recipient from subfiles of mail formats by calling the extGetSubFileMetadata() method. You can extract a predefined set of metadata fields, or a list of metadata fields by their names or MAPI properties.  Default Metadata Set KeyView internally ...",t:"Extract Mail Metadata"},"38":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookFiles.htm",a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ...",t:"Extract Subfiles from Outlook Files"},"39":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookExpress.htm",a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the ...",t:"Extract Subfiles from Outlook Express Files"},"40":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_Mailbox_Files.htm",a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ...",t:"Extract Subfiles from Mailbox Files"},"41":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookPersonal_files.htm",a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ...",t:"Extract Subfiles from Outlook Personal Folders Files"},"42":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusDomino.htm",a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file.  To prevent header information from being extracted, see  Exclude Metadata from the ...",t:"Extract Subfiles from Lotus Domino XML Language Files"},"43":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusNotes_DB.htm",a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ...",t:"Extract Subfiles from Lotus Notes Database Files"},"44":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_PDF_Files.htm",a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ...",t:"Extract Subfiles from PDF Files"},"45":{i:0.00324964125815517,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ...",t:"Improve Performance for PDFs with Many Small Images"},"46":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Embedded_OLE_Objects.htm",a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Lotus Notes (DXL) Microsoft Excel Microsoft Word Microsoft PowerPoint Microsoft Outlook  Microsoft Visio Microsoft Project OASIS Open Document Rich Text Format (RTF) When an embedded OLE object is ...",t:"Extract Embedded OLE Objects"},"47":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_ZIP_Files.htm",a:"You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials.  See  Password Protected Files  for more information.",t:"Extract Subfiles from ZIP Files"},"48":{i:0.00324964125815517,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies its ...",t:"Default File Names for Extracted Subfiles"},"49":{i:0.00324964125815517,u:"../Content/_KV_No_Phonetic_Guide.htm",a:"This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text Set NoPhoneticGuides to TRUE in the formats.ini file: [Options]\nNoPhoneticGuides=TRUE You can also enable this option programatically when ...",t:"Exclude Japanese Guide Text"},"50":{i:0.00452716888310896,u:"../Content/Chapter_UseFilterAPI.htm",a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API.",t:"Use the Filter API"},"51":{i:0.00953370102678055,u:"../Content/Java/filter_api/Generate_an_Error_Log.htm",a:"You can monitor and debug filtering operations by enabling a detailed error log. This allows you to see errors that are generated at run time and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The error log might include the ...",t:"Generate an Error Log"},"52":{i:0.00576079283669769,u:"../Content/Java/filter_api/Enable_Disable_Error_Loggign.htm",a:"Enable or Disable Error  Logging You can enable or disable error logging using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Change the Path and File Name of ...",t:"Enable or Disable Error Logging"},"53":{i:0.00949697197459853,u:"../Content/Java/filter_api/Change_the_Path_and_File.htm",a:"You can change the default path and file name of the log file. The default is C:\\temp\\kvoop.log on Windows and /tmp/kvoop.log on UNIX.  To change the path and file name of the log file, add the following to the formats.ini file: [kvooplog]\nKvoopLogName=filepath The formats.ini file is in the ...",t:"Change the Path and File Name of the Log File"},"54":{i:0.00576079283669769,u:"../Content/Java/filter_api/Report_Memory_Errors.htm",a:"You can report memory leaks and  memory overwrites in the log file by enabling the  memory trace system, either by using the API or environment variables. If the memory trace system is enabled, the error messages for memory leaks and memory overwrites (KVError_MemoryLeak and KVError_MemoryOverwrite, ...",t:"Report Memory Errors"},"55":{i:0.00704861587463598,u:"../Content/Java/filter_api/Specify_a_Memory_Guard.htm",a:"To report memory overwrites in the log file, you must set a  memory guard that protects against memory overwrites. Normally, this is set in the range of 100-200 bytes. For example, if a memory guard of 100 is set and 20 bytes of memory are specified, a total of 120 bytes of memory are allocated. The ...",t:"Specify a Memory Guard"},"56":{i:0.00460025977467343,u:"../Content/Java/filter_api/Report_the_Filename_in_S.htm",a:"When you run Filter in file mode, the file name is always reported in the log file. To report the file name in stream mode, you must extract it through the API. To add the input file name to the log Create an instance of ConfigOption with the following arguments: Set the  OptionType to  ...",t:"Report the File Name in Stream Mode"},"57":{i:0.00460025977467343,u:"../Content/Java/filter_api/Specify_the_Maximum_Size.htm",a:"You can specify the maximum size of the log file. When this size is reached and new entries are logged, either the first entry in the file is overwritten or the new entries are not reported.  To configure the maximum log size and whether old entries are overwritten, add the following section to the ...",t:"Specify the Maximum Size of the Log File"},"58":{i:0.00786293927292282,u:"../Content/Java/filter_api/Extract_Metadata.htm",a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ...",t:"Extract Metadata"},"59":{i:0.00324964125815517,u:"../Content/Java/filter_api/Extract_Metadata_for_Fil.htm",a:"Extract Metadata for  File Filtering To extract metadata for file filtering Optionally, set the input source using the setInputSource(java.lang.String inFile) method of the Filter object.  If the input source was set in step 1, call the getSummaryInfo() method of the Filter object to retrieve an ...",t:"Extract Metadata for File Filtering"},"60":{i:0.00324964125815517,u:"../Content/Java/filter_api/Extract_Metadata_for_Str.htm",a:"Extract Metadata for  Stream Filtering To extract metadata for stream filtering Optionally, set the input source using the setInputSource(java.io.InputStream input) method of the Filter object. If the input source was set in step 1, call the getSummaryInfo() method of the Filter object to retrieve ...",t:"Extract Metadata for Stream Filtering"},"61":{i:0.00324964125815517,u:"../Content/Java/filter_api/Example.htm",a:"Below is an example of a call to getSummaryInfo(): SummaryInfo[] sinfo = objFilter.getSummaryInfo();\nif(sinfo != null)\n{\n  System.out.println(\"\\nSummary info has been extracted.\");\n  fos_sum = new FileOutputStream(summaryOutFile);\n  DataOutputStream dos_sum = new DataOutputStream(fos_sum);\n  for(int ...",t:"Example"},"62":{i:0.00394019424870385,u:"../Content/Java/filter_api/Convert_Character_Sets.htm",a:"Filter can convert the character set of a source document to an arbitrary character set specified in the API, or to the character set of the operating system on which the output text is viewed. For this conversion to occur, a source character set must be identified. The source character set can ...",t:"Convert Character Sets"},"63":{i:0.00324964125815517,u:"../Content/Java/filter_api/Determine_the_Character_.htm",a:"Determine the  Character Set of the Output Text To determine the output character set of a filtered document, Filter considers the following: Whether the document reader can determine the character set of the file format. If the document reader cannot determine the character set information for the ...",t:"Determine the Character Set of the Output Text"},"64":{i:0.00324964125815517,u:"../Content/Java/filter_api/Set_CharSet_Filtering.htm",a:"Set the Character  Set During Filtering You can convert the character set of a file at the time the file is filtered. To specify the source character set, use the setSourceCharSet(java.lang.String charset) method. For example: objFilter.setSourceCharSet(sourceCharSet); To specify the target ...",t:"Set the Character Set During Filtering"},"65":{i:0.00324964125815517,u:"../Content/Java/filter_api/Set_CharSet_Extraction.htm",a:"Set the Character Set During  Subfile Extraction You can convert the character set of a subfile at the time the subfile is extracted from the container and before it is filtered. This is most often used to set the character set of a mail message\u0027s body text. See  Filter PDF Files  for more ...",t:"Set the Character Set During Subfile Extraction"},"66":{i:0.00441017432017943,u:"../Content/Java/filter_api/Prevent_the_Default_Conv.htm",a:"Prevent the Default Conversion of a  Character Set You can prevent the default conversion of text to the operating system code page, and specify that Filter retain the original character encoding of the document when it is available. Any document identified as containing more than one character ...",t:"Prevent the Default Conversion of a Character Set"},"67":{i:0.00441017432017943,u:"../Content/Java/filter_api/Extract_Tracked_Deleted_.htm",a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date. If revision tracking was enabled when text was deleted from ...",t:"Extract Tracked Deleted Text"},"68":{i:0.00717238628237414,u:"../Content/Java/filter_api/Filter_PDF_Files.htm",a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files.",t:"Filter PDF Files"},"69":{i:0.00324964125815517,u:"../Content/Java/filter_api/Filter_PDF_Files_to_a_Lo.htm",a:"The PDF format is primarily designed for presentation and printing of brochures, magazines, forms, reports, and other materials with complex visual designs. Most PDF files do not contain the logical structure of the original document—the correct reading order, for example, and the presence and ...",t:"Filter PDF Files to a Logical Reading Order"},"70":{i:0.00324964125815517,u:"../Content/Java/filter_api/Rotated_Text.htm",a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold, the page is ...",t:"Rotated Text"},"71":{i:0.00324964125815517,u:"../Content/Java/filter_api/Extract_Custom_Metadata_.htm",a:"Extract Custom Metadata  from PDF Files To extract custom metadata from your PDF files, add the custom metadata names to the  pdfsr.ini file provided, and copy the modified file to the bin directory. You can then extract metadata as you normally would.  The pdfsr.ini is in the directory ...",t:"Extract Custom Metadata from PDF Files"},"72":{i:0.00324964125815517,u:"../Content/Java/filter_api/Skip_Embedded_Fonts.htm",a:"Text in PDF files sometimes contain embedded fonts. If you experience difficulties filtering embedded fonts, there are options in the API, the formats.ini file, and the FilterTest sample program that you can set to skip this type of text. If you choose to skip embedded fonts, none of the content ...",t:"Skip Embedded Fonts"},"73":{i:0.00324964125815517,u:"../Content/Java/filter_api/Control_Hyphenation.htm",a:"There are two types of hyphens in a PDF document:  A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the ...",t:"Control Hyphenation"},});